﻿
// aikeDlg.h: 头文件
//

#pragma once
#include "StaffDlg.h"
#include "RoomSetUpDlg.h"

// CaikeDlg 对话框
class CaikeDlg : public CDialogEx,MyDialog
{
// 构造
public:
	CaikeDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_AIKE_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	//变量
	ADOSQL AdoSql;			//连接数据库
	//SocketClien SClien;		//连接服务器
	CString m_Path;			//本程序路径
	CString ServerIP;		//服务器IP
	CString DataBase;		//数据库名称
	CString UserName;		//数据库用户名
	CString AdoPass;		//数据库密码
	StaffDlg m_StaffDlg;	//员工信息界面
	RoomSetUpDlg m_RoomSetUpDlg;	//员工信息界面

	//MFC回调函数
	virtual BOOL PreTranslateMessage(MSG* pMsg);			//截获窗口消息
	afx_msg void OnSize(UINT nType, int cx, int cy);		//窗口大小发生改变
	afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);		//设置窗口最大和最小范围
	virtual void OnOK();			//按下回车
	afx_msg void OnDestroy();		//窗口即将销毁
	afx_msg void OnShowMenu();		//显示窗口（托盘消息）
	afx_msg void OnCloneMenu();		//关闭窗口（托盘消息）

	//自己创建的函数
	VOID Initialize();				//初始化
	BOOL TrayMylcon(BOOL bAdd);		//添加系统托盘
	LRESULT OnTrayCallBackMsg(WPARAM wparam, LPARAM lparam);	//点击系统托盘响应事件
	VOID MinClick(int id);			//最小化窗口
	VOID MaxClick(int id);			//最大化窗口
	VOID ReductionClick(int id);	//还原窗口
	VOID CloseClick(int id);		//关闭窗口
	VOID MoveAllWin();				//移动所有窗口和按钮
	VOID HideAllBt(BOOL Hide = TRUE);	//隐藏所有按钮
	VOID SetUpClick(int id);		//设置按钮
	VOID HomepageClick(int id);		//回到主页
	VOID StaffClick(int id);		//点击员工信息
	VOID RoomSetUpClick(int id);	//点击员工信息
};


//按钮对照表
/*
1	最小化
2	最大化
3	还原
4	关闭
1000	前台营业
2000	会员管理
3000	报表管理
4000	预定管理
5000	库存管理
6000	基础设置
1001	返回主页
6001	员工信息
6002	房间设置
*/